Get instrument status
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/statusimport requests
url = "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tradeable": "PF_BTCUSD",
"experiencingDislocation": true,
"priceDislocationDirection": "ABOVE_UPPER_BOUND",
"experiencingExtremeVolatility": true,
"extremeVolatilityInitialMarginMultiplier": 123,
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Instruments
Get instrument status
Returns price dislocation and volatility details for given market.
GET
/
instruments
/
{symbol}
/
status
Get instrument status
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/statusimport requests
url = "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/instruments/{symbol}/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tradeable": "PF_BTCUSD",
"experiencingDislocation": true,
"priceDislocationDirection": "ABOVE_UPPER_BOUND",
"experiencingExtremeVolatility": true,
"extremeVolatilityInitialMarginMultiplier": 123,
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Path Parameters
Market symbol
Pattern:
[A-Z0-9_.]+Example:
"PF_BTCUSD"
Response
200 - application/json
- Success Response
- Errors
Market symbol
Pattern:
[A-Z0-9_.]+Example:
"PF_BTCUSD"
Available options:
ABOVE_UPPER_BOUND, BELOW_LOWER_BOUND Available options:
success Example:
"success"
Server time in Coordinated Universal Time (UTC)
Example:
"2020-08-27T17:03:33.196Z"
Was this page helpful?